NAME

OpenAPI::Client::OpenAI::Path::realtime-calls-call_id-refer - Documentation for the /realtime/calls/{call_id}/refer path.

OPERATIONS

POST /realtime/calls/{call_id}/refer

refer-realtime-call

$client->refer_realtime_call({
    body => { ... },
});

Transfer an active SIP call to a new destination using the SIP REFER verb.

Path/query parameters

  • call_id (in path, required, string) - The identifier for the call provided in the realtime.call.incoming webhook.

Responses

200 - Call referred successfully.

SCHEMAS

RealtimeCallReferRequest

Properties:

  • target_uri (string, required) - URI that should appear in the SIP Refer-To header. Supports values like tel:+14155550123 or sip:agent@example.com .

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.